/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.12-dev21
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The DailyRecord model module.
 * @module model/DailyRecord
 * @version 2021.12-dev21
 */
class DailyRecord {
    /**
     * Constructs a new <code>DailyRecord</code>.
     * @alias module:model/DailyRecord
     * @param date {Date} 
     * @param absProfit {Number} 
     * @param fiatValue {Number} 
     * @param tradeCount {Number} 
     */
    constructor(date, absProfit, fiatValue, tradeCount) { 
        
        DailyRecord.initialize(this, date, absProfit, fiatValue, tradeCount);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj, date, absProfit, fiatValue, tradeCount) { 
        obj['date'] = date;
        obj['abs_profit'] = absProfit;
        obj['fiat_value'] = fiatValue;
        obj['trade_count'] = tradeCount;
    }

    /**
     * Constructs a <code>DailyRecord</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/DailyRecord} obj Optional instance to populate.
     * @return {module:model/DailyRecord} The populated <code>DailyRecord</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new DailyRecord();

            if (data.hasOwnProperty('date')) {
                obj['date'] = ApiClient.convertToType(data['date'], 'Date');
            }
            if (data.hasOwnProperty('abs_profit')) {
                obj['abs_profit'] = ApiClient.convertToType(data['abs_profit'], 'Number');
            }
            if (data.hasOwnProperty('fiat_value')) {
                obj['fiat_value'] = ApiClient.convertToType(data['fiat_value'], 'Number');
            }
            if (data.hasOwnProperty('trade_count')) {
                obj['trade_count'] = ApiClient.convertToType(data['trade_count'], 'Number');
            }
        }
        return obj;
    }


}

/**
 * @member {Date} date
 */
DailyRecord.prototype['date'] = undefined;

/**
 * @member {Number} abs_profit
 */
DailyRecord.prototype['abs_profit'] = undefined;

/**
 * @member {Number} fiat_value
 */
DailyRecord.prototype['fiat_value'] = undefined;

/**
 * @member {Number} trade_count
 */
DailyRecord.prototype['trade_count'] = undefined;






export default DailyRecord;

